Skip to main content
POST
/
api
/
v1
/
auth
/
register
cURL
curl --request POST \
  --url https://api.example.com/api/v1/auth/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "country_code": "<string>",
  "phone_number": "<string>",
  "employee_number": "<string>",
  "department": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "roles": [
    "<string>"
  ],
  "realm": "capemedia"
}
'
{
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "country_code": "<string>",
  "phone_number": "<string>",
  "employee_number": "<string>",
  "department": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "roles": [
    "<string>"
  ],
  "realm": "capemedia"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Body

Serializer for user registration.

Creates User + UserProfile in Django, then syncs to Keycloak.

email
string<email>
required
Minimum string length: 1
first_name
string
required
Required string length: 1 - 150
last_name
string
required
Required string length: 1 - 150
country_code
string
required
Required string length: 1 - 3
phone_number
string
required
Required string length: 1 - 50
employee_number
string
required
Required string length: 1 - 100
gender
enum<string>
required
  • MALE - Male
  • FEMALE - Female
Available options:
MALE,
FEMALE
department
string<uuid> | null
section
string<uuid> | null
roles
string[]
Minimum string length: 1
realm
string
default:capemedia
Minimum string length: 1

Response

200 - application/json

Serializer for user registration.

Creates User + UserProfile in Django, then syncs to Keycloak.

email
string<email>
required
first_name
string
required
Maximum string length: 150
last_name
string
required
Maximum string length: 150
country_code
string
required
Maximum string length: 3
phone_number
string
required
Maximum string length: 50
employee_number
string
required
Maximum string length: 100
gender
enum<string>
required
  • MALE - Male
  • FEMALE - Female
Available options:
MALE,
FEMALE
department
string<uuid> | null
section
string<uuid> | null
roles
string[]
realm
string
default:capemedia